<template>
  <b-navbar toggleable="lg" type="dark" variant="info">
    <b-container>
      <b-navbar-brand href="#">
        <span class="font-weight-bold">Co</span>Cademy
      </b-navbar-brand>
      <b-navbar-toggle target="nav-collapse" />
      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav class="ml-auto ">
          <b-row align-v="center">
            <b-nav-item class="mx-3" @click="handleRedirect('/')">
              Home
            </b-nav-item>
            <b-nav-item class="mx-3" @click="handleRedirect('kelas')">
              Daftar Kelas
            </b-nav-item>
            <b-nav-item class="mx-3" @click="handleRedirect('login')">
              Login
            </b-nav-item>
            <b-nav-item-dropdown right>
              <template #button-content>
                <b-avatar class="" /> | Diko Mahendra
              </template>
              <b-dropdown-item @click="handleRedirect('profile')">
                Profile
              </b-dropdown-item>
              <b-dropdown-item @click="handleRedirect('')">
                Sign Out
              </b-dropdown-item>
            </b-nav-item-dropdown>
          </b-row>
        </b-navbar-nav>
      </b-collapse>
    </b-container>
  </b-navbar>
</template>

<script>
export default {
  name: 'BaseNavbar',
  methods: {
    handleRedirect (to) {
      this.$router.push(to)
    }
  }
}
</script>
